Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class SendResult

    java.lang.Object
      hr.tis.mgw.client.message.SendResult

public class SendResult
extends java.lang.Object

Structure containing result of sending message using ParlayX extensions. When sending message usually only message ID is returned. In some cases additional information should be returned as result of sending messages. This information is contained in this structure.

Constructor Summary
`SendResult(MessageId messageId, int count)` Create a new SendResult.

Method Summary
`int` | `getCount()` Get number of messages forwarded to single destination, e.g. if long SMS sent via client is split into 3 SMS messages when sending to SMSC, and is sent to 2 destinations, value of this parameter would be 3.
`MessageId` | `getMessageId()` Get message ID.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendResult

    public SendResult(MessageId messageId,
                      int count)

  Create a new SendResult.

Parameters:
  `messageId` - message ID
  `count` - number of messages forwarded to messaging center (SMSC) for single destination.

Method Detail

### getMessageId

    public MessageId getMessageId()

  Get message ID.

  Returns:
    message ID

### getCount

    public int getCount()

  Get number of messages forwarded to single destination, e.g. if long SMS sent via client is split into 3 SMS messages when sending to SMSC, and is sent to 2 destinations, value of this parameter would be 3.

  Returns:
    message count for single destination

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.